/// <reference types="react" />
import type { StyleProp, TextStyle } from 'react-native';
/**
 * This should be the intersection of CSS properties defined
 * as inherited and React Native text styles that are
 * defined on the `TextStyle` type.
 *
 * @see https://www.sitepoint.com/css-inheritance-introduction/
 */
export declare const inheritedStyles: readonly ["color", "direction", "fontFamily", "fontSize", "fontStyle", "fontVariant", "fontWeight", "letterSpacing", "lineHeight", "textAlign", "textDecorationColor", "textShadowColor", "textShadowOffset", "textShadowRadius", "textTransform"];
interface HasColor {
    color: string;
}
type ContextStyle = {
    [K in typeof inheritedStyles[number]]?: TextStyle[K];
} & HasColor;
type AllStyles = TextStyle & HasColor;
export declare const StyleContext: import("react").Context<ContextStyle>;
export declare const useStyles: (style?: StyleProp<TextStyle>) => [AllStyles, ContextStyle | undefined];
export {};
