import React from 'react';
import type { TextStyle, StyleProp } from 'react-native';
export type ExpandStyle<T> = Omit<T, 'style'> & {
    style?: StyleProp<TextStyle>;
};
type GetParameters<T> = T extends React.ComponentClass<any> ? ExpandStyle<ConstructorParameters<T>[0]> : T extends React.ForwardRefExoticComponent<any> ? ExpandStyle<Parameters<T>[0]> : never;
export declare const wrapContext: <T extends React.ComponentClass<any, any> | React.ForwardRefExoticComponent<any>>(Component: T) => (({ style, ...props }: GetParameters<T>) => JSX.Element) | undefined;
export {};
