/// <reference types="react" />
import * as React from 'react';
import * as react_native from 'react-native';
import { StyleProp, TextStyle, View as View$1 } from 'react-native';
export { ActivityIndicator, Button, DrawerLayoutAndroid, Image, InputAccessoryView, RefreshControl, TouchableNativeFeedback } from 'react-native';

type ExpandStyle<T> = Omit<T, 'style'> & {
    style?: StyleProp<TextStyle>;
};

/**
 * These are asserted as not `undefined` for testing,
 * but they may be undefined at runtime if the underlying
 * React Native component is undefined at export time.
 */
declare const FlatList: ({ style, ...props }: ExpandStyle<react_native.FlatListProps<unknown>>) => JSX.Element;
declare const ImageBackground: ({ style, ...props }: ExpandStyle<react_native.ImageBackgroundProps>) => JSX.Element;
declare const KeyboardAvoidingView: ({ style, ...props }: ExpandStyle<react_native.KeyboardAvoidingViewProps>) => JSX.Element;
declare const Modal: ({ style, ...props }: ExpandStyle<react_native.ModalProps>) => JSX.Element;
declare const Pressable: ({ style, ...props }: ExpandStyle<react_native.PressableProps & React.RefAttributes<View$1>>) => JSX.Element;
declare const ScrollView: ({ style, ...props }: ExpandStyle<react_native.ScrollViewProps>) => JSX.Element;
declare const SectionList: ({ style, ...props }: ExpandStyle<react_native.SectionListProps<unknown, unknown>>) => JSX.Element;
declare const Text: ({ style, ...props }: ExpandStyle<react_native.TextProps>) => JSX.Element;
declare const TouchableHighlight: ({ style, ...props }: ExpandStyle<react_native.TouchableHighlightProps>) => JSX.Element;
declare const TouchableOpacity: ({ style, ...props }: ExpandStyle<react_native.TouchableOpacityProps>) => JSX.Element;
declare const TouchableWithoutFeedback: ({ style, ...props }: ExpandStyle<react_native.TouchableWithoutFeedbackProps>) => JSX.Element;
declare const SafeAreaView: ({ style, ...props }: ExpandStyle<react_native.ViewProps>) => JSX.Element;
declare const View: ({ style, ...props }: ExpandStyle<react_native.ViewProps>) => JSX.Element;
declare const VirtualizedList: ({ style, ...props }: ExpandStyle<react_native.VirtualizedListProps<unknown>>) => JSX.Element;

export { FlatList, ImageBackground, KeyboardAvoidingView, Modal, Pressable, SafeAreaView, ScrollView, SectionList, Text, TouchableHighlight, TouchableOpacity, TouchableWithoutFeedback, View, VirtualizedList };
